{% extends "products/base.html" %}
{% load auth_extras %}
{% block content %}
   
    {% for object in object_list %}
        <article class="media content-section">  
            {% if user|has_group:"Businesses" %}
                  <img class = "rounded-circle article-img" src="{{ object.customer.image.url }}">
              {% else %}
                  <img class = "rounded-circle article-img" src="{{ object.business.pp.url }}">
              {% endif %}
            <div class="media-body">
                {% if user|has_group:"Businesses" %}
                  <h4> {{object.customer.user.username}} (R {{object.amount}})</h4>
                {% else %}
                  <h4> {{object.business.user.username}} (R {{object.amount}})</h4>
                 {% endif %}
                
                <div class="article-metadata">
                    <small class="text-muted">Date: {{ object.date }} | </small>
                    <small class="text-muted">Cart: {{ object.cart }} </small>        
                </div> 
                {% if user|has_group:"Businesses" %}
                  <button>Reverse payment!</button>
                {% else %}
                  <button>This was not me!</button>
                 {% endif %}
                
          
            </div>
        </article>
    {% endfor %}
{% endblock content %}